File: xournalpp.css

package info (click to toggle)
xournalpp 1.3.2-1
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 30,044 kB
  • sloc: cpp: 64,195; xml: 939; sh: 752; ansic: 362; python: 338; php: 74; makefile: 15
file content (215 lines) | stat: -rw-r--r-- 4,609 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
/*
 * Backup before modifying
 *
 *
 *  Try running Xournal++ like this:    GTK_DEBUG=interactive  xournalpp
 *
 *  See: https://wiki.gnome.org/action/show/Projects/GTK/Inspector
 */

#pdfFloatingToolGrid {
    padding: 7px;
}

/*Style the Floating Toolbox!*/
#floatingToolbox > box,
#pdfFloatingToolGrid {
	background-color: white;
	border-radius: 12px;

	box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.4);

	/* Add a margin. If we don't have this, Gtk clips the shadow!  */
	margin: 7px;
}

#floatingToolbox box toolbar {
	background-color: rgba(255, 255, 255, 0);
}

#floatingToolbox button {
	background-color: rgba(255, 255, 255, 0.8);
	border-radius: 12px;
}

#pdfFloatingToolGrid button {
	background: rgba(255, 255, 255, 0.8);
	border: 12px;
}

#pdfFloatingToolGrid button:hover {
	border-radius: 12px;
	background: rgba(245, 245, 245, 0.8);
	box-shadow: inset 0px 0px 2px gray;
}

/*
	Use :checked for a selected ToggleButton.
	See https://stackoverflow.com/questions/39824345/use-css-to-style-gtktogglebutton-depending-on-the-state
*/
#floatingToolbox button:checked {
	/*background-color: lightblue;*/
	border-color: lightblue;
	box-shadow: inset 0px 0px 3px lightblue;

	transition: background-color 0.5s ease, border-color 0.5s ease, margin 0.3s ease;
}

#floatingToolbox toolbar,
#pdfFloatingToolGrid button {
    /*
      The Adaptia GTK theme adds box-shadows to toolbars.
      Remove them to avoid horizontal lines that extend outside
      the edge of the floating toolbox.
     */

    box-shadow: none;
}

window.darkMode #floatingToolbox button,
window.darkMode #pdfFloatingToolGrid button {
	background: rgba(55, 53, 53, 0.5);
	border: none;
}

window.darkMode #floatingToolbox button:checked {
	background: rgba(85, 85, 95, 0.1);
	border-color: lightblue;
	box-shadow: 0px 0px 3px lightblue;
}

window.darkMode #floatingToolbox > box,
window.darkMode #pdfFloatingToolGrid  {
	background-color: black;

	/*
	  Lighter gray shadow for better contrast on dark
	  backgrounds.
	*/
	box-shadow: 0px 0px 5px rgba(90, 90, 90, 0.7);
}

/* Add additional padding and a border to make editing toolbars easier. */
toolbar.editing {
	padding-top: 4px;
	padding-bottom: 4px;

	border: 4px dashed orange;
	border-radius: 3px;

	box-shadow: inset -2px -2px 8px orange;
}

/*Fix ugly Background drop down button
 *
 * We need to select the button beside two labels or we will affect
 * the pen tool when in FloatingToolbox (and can't see activation highlight).
 *
 * Ideally we will give name properties to all of the widgets created in
 * code as well as specifying names in glade files.
 *
 * Note: in glade files, property with name="name". i.e. <property name="name">floatingToolbox</property>
 */


toolitem > box > label+label+button
{
	border-width:0;
	box-shadow:none;
	background-image:none;
}

toolbar button,
popover.toolbar button {
  padding:3px;
}

.orientationFormatBox > button > widget > box > image {
	margin-left: 3px;
	margin-right: 3px;
}

toolbar button:not(:checked):not(:active):not(:hover),
popover.toolbar button:not(:checked):not(:active):not(:hover){
  border-color:transparent;
  box-shadow:none;
  background-color:transparent;
  background-image:none;
}

radiobutton.invisible radio {
  color:transparent;
  background-color:transparent;
  background-image:none;
  outline-style:none;
  border-style:none;
  box-shadow:none;
}

/* A spacer is a transparent separator with expand == true */
separator.spacer {
  color:transparent;
  background-color:transparent;
  background-image:none;
  outline-style:none;
  border-style:none;
  box-shadow:none;
}

/*  If you want to change the size of toolbar buttons try these:
*   All toolbars:
*/

/*
toolbar button
{
	padding: 2
}
*/



/* Or for individual toolbars: tbLeft1 tbLeft2 tbTop1 tbTop2 tbBottom1 tbFloat4 etc:
 */

/*
#tbLeft2 button
{
	padding: 2
}
*/


/*
Labels for subsections of the Settings dialog
*/
notebook frame>label {
    color: #666;
    font-weight: bold;
}

menubar, toolbar {
    -GtkWidget-window-dragging: false
}

label.setting-button-indicator {
    border: 1px solid gray;
    border-radius: 3px;
    margin: 1px;
    padding: 2px;
}

label.setting-button-indicator.pressed {
    background-color: red;
}

label.setting-touch-indicator {
    border: none;
    background: radial-gradient(circle at center, alpha(gray,.7) 0%, alpha(gray,.7) 20%, alpha(gray, .1) 60%, alpha(gray, 0.) 100%);
    border-radius: 50%;
    margin: 1px;
    padding: 10px;
}
label.setting-touch-indicator.pressed {
    background: radial-gradient(circle at center, red 0%, red 20%, alpha(red, .1) 60%, alpha(red, 0.) 100%);
}